Bug 79142 - When Creating Styles - The 2nd One Always Replaces the 1st
Summary: When Creating Styles - The 2nd One Always Replaces the 1st
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: All All
: highest major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-05-23 16:35 UTC by Joel Madero
Modified: 2015-12-17 08:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2014-05-23 16:35:19 UTC
Ubuntu x64
LibreOffice 4.3 beta1

Steps:
1. Open spreadsheet
2. Open style dialog (F11)
3. Right click in style dialog and left click "new"
4. Create a new style (just push ok)
5. Now try to create another New dialog

Observed - the 2nd one replaces the first

Expected - you should be able to have more than 1 new style
Comment 1 Dominik 2014-05-23 16:38:53 UTC
confirming on windows 7 

further the "rightclick" menu doesn't allow you to edit/delete/hide the style and instead shows just "new"
Comment 2 Joel Madero 2014-05-23 17:16:23 UTC
commit 51924049bb5c827b9efcc56419044dcbb85f32d8
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 23:22:09 2014 +0000

    source-hash-50d20866aa90150680e6d39998081fc148638c73
    
    commit 50d20866aa90150680e6d39998081fc148638c73
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Wed Mar 12 10:17:50 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Wed Mar 12 11:02:15 2014 +0000
    
        fix coverity#704768
    
        Change-Id: I6b3403ad1b1f18a4cf32a933bb721f9c6cab44f7

:100644 100644 f5bf072bce82b837b5f2d70e57a349193f51a94b 3078ada13a25b2b8bae1ddedd574140b22d1642f M	ccache.log
:100644 100644 5f305f68af72f960c65aa755b79c323c06295373 d065718ced273579364598860ff334898edbf32c M	commitmsg
:100644 100644 13c8e704ccee359e7ef7ade6d0bbe9ab2a21d474 943bb71c0882cf30facb2b66357eedab91161df9 M	make.log
:040000 040000 0b8277ec6ca461462f3986949b4ce83effb363aa 60bd2db1ebab8e4df8427f65a146baa3b17b5dde M	opt


# bad: [ea24c76037fa8056fb1ed916f4d5e765ebc71f8f] source-hash-46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781
# good: [6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9] source-hash-22029c7e17b4cb48acb058d47ec9c3b6b8b6b294
git bisect start 'latest' 'oldest'
# good: [45f8b50e2e33d2125a348134dd931ba01c70fe63] source-hash-0141153498bc34237d5b7dd72226ac2a03bbd11d
git bisect good 45f8b50e2e33d2125a348134dd931ba01c70fe63
# bad: [5db055097f534d5688da0ca8cea9ac65c542895f] source-hash-7b56d303300fbf592473b28b654fd22fec110962
git bisect bad 5db055097f534d5688da0ca8cea9ac65c542895f
# good: [781d8b79e3dd4cc84a0d179598b75ad1060728d5] source-hash-aee12451d1d99881833b9f6a1a6af5598802801a
git bisect good 781d8b79e3dd4cc84a0d179598b75ad1060728d5
# good: [1f6f4cde2c8e90a3a863c66ba833a97ea6a06be0] source-hash-2be3417bf6dba2a0897b21e15d22ef2f8aac99e3
git bisect good 1f6f4cde2c8e90a3a863c66ba833a97ea6a06be0
# bad: [95b17f1988ce7f86e57dba341a0f65c6d466a4e8] source-hash-077a74cfc6dbea5ee275fd11b65b523cc525e2e4
git bisect bad 95b17f1988ce7f86e57dba341a0f65c6d466a4e8
# good: [bb7b12116e0378ac9288b7752b0a723ee10b250c] source-hash-f3609ac092bc520825bfd6b71ed20ecaba293317
git bisect good bb7b12116e0378ac9288b7752b0a723ee10b250c
# bad: [25f6fb63bc0c6ef848d6e00cfc1686153c48036e] source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
git bisect bad 25f6fb63bc0c6ef848d6e00cfc1686153c48036e
# bad: [51924049bb5c827b9efcc56419044dcbb85f32d8] source-hash-50d20866aa90150680e6d39998081fc148638c73
git bisect bad 51924049bb5c827b9efcc56419044dcbb85f32d8
# first bad commit: [51924049bb5c827b9efcc56419044dcbb85f32d8] source-hash-50d20866aa90150680e6d39998081fc148638c73
Comment 3 Commit Notification 2014-05-28 09:45:51 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa8b268935b07c9bf95a596ee84c76eed4c03634

Resolves: fdo#79142 When Creating Styles - The 2nd One Always Replaces the 1st



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-28 09:47:24 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74baee744c8ff5b3a34c40ed16803d07f3f5fc2d&h=libreoffice-4-3

Resolves: fdo#79142 When Creating Styles - The 2nd One Always Replaces the 1st


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-05-28 12:26:28 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05e2fd162ef86ebe4ea2a2a679cabeae33e844f0

Related: fdo#79142 make SetName default to Reindexing



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-05-28 12:28:03 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f438d84fd91a7174d748d870854974bc97b35d8c&h=libreoffice-4-3

Related: fdo#79142 make SetName default to Reindexing


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Marina Latini (CIB) 2014-05-29 07:21:01 UTC
VERIFIED on
* Version: 4.4.0.0.alpha0+
* Build ID: 0e54f1266db4722428ed8fc9d9f3cb7e3cd34fed
* TinderBox: Linux-rpm_deb-x86_64@46-TDF
* Branch:master
* Time: 2014-05-29_04:06:52

* OS: Ubuntu 14.04 x86_64

The new style is added and with right click you can edit/delete/hide the style as expected.
Comment 8 Cor Nouws 2014-05-29 21:50:27 UTC
is bug 77858 a duplicate?
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:11:34 UTC Comment hidden (obsolete)